Bug 21704 - failure during building 64-bit native compiler by crosscompiler.
Summary: failure during building 64-bit native compiler by crosscompiler.
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: bootstrap (show other bugs)
Version: 4.0.1
: P2 normal
Target Milestone: 4.0.2
Assignee: Andrew Pinski
URL:
Keywords: build
Depends on:
Blocks:
 
Reported: 2005-05-21 21:08 UTC by Pawel Sikora
Modified: 2014-02-16 13:17 UTC (History)
3 users (show)

See Also:
Host: sparc-linux
Target: sparc64-linux
Build: sparc64-linux
Known to work:
Known to fail:
Last reconfirmed: 2005-07-09 23:14:27


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pawel Sikora 2005-05-21 21:08:06 UTC
sparc64-pld-linux-gcc == 32-bit sparc crosscompiler for sparc64 target.  
  
during building native 64-bit compiler I get:  
  
(...)  
sparc64-pld-linux-gcc -c   -O2 -mcpu=ultrasparc -DIN_GCC   -W -Wall  
-Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes -pedantic  
-Wno-long-long -Wno-variadic-macros -Wold-style-definition    -DHAVE_CONFIG_H     
-I. -I. -I../../gcc -I../../gcc/. -I../../gcc/../include  
-I../../gcc/../libcpp/include  \  
        ../../gcc/config/host-linux.c  
../../gcc/config/host-linux.c: In function 'linux_gt_pch_use_address':  
../../gcc/config/host-linux.c:202: error: 'SSIZE_MAX' undeclared (first use in  
this function)  
../../gcc/config/host-linux.c:202: error: (Each undeclared identifier is  
reported only once  
  
../../gcc/config/host-linux.c:202: error: for each function it appears in.)  
make[1]: *** [host-linux.o] Error 1  
  
  
quick fix for gcc-4.0-20050514:  
  
--- gcc-4.0-snap/gcc/config/host-linux.c 2005-02-17 22:41:33.000000000 +0000  
+++ gcc-4.0-snap/gcc/config/host-linux.c 2005-05-21 20:49:06.000000000 +0000  
@@ -24,6 +24,7 @@  
 #include <sys/mman.h>  
 #include "hosthooks.h"  
 #include "hosthooks-def.h"  
+#include <bits/posix1_lim.h>
Comment 1 Andrew Pinski 2005-05-21 21:15:25 UTC
Can you try to include limits.h instead?
Comment 2 Pawel Sikora 2005-05-21 21:50:45 UTC
(In reply to comment #1) 
> Can you try to include limits.h instead? 
 
#include <limits.h> helps too. 
 
Comment 3 Pawel Sikora 2005-07-09 09:31:34 UTC
ping. could someone commit this trivial fix?
Comment 4 Andrew Pinski 2005-07-09 23:14:26 UTC
I am testing the obvious patch which I recommended in comment #1.
Comment 5 CVS Commits 2005-07-12 20:59:12 UTC
Subject: Bug 21704

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	pinskia@gcc.gnu.org	2005-07-12 20:59:01

Modified files:
	gcc            : ChangeLog 
	gcc/config     : host-linux.c 

Log message:
	2005-07-12  Andrew Pinski  <pinskia@physics.uc.edu>
	
	PR bootstrap/21704
	* host-linux.h: Include limits.h.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&r1=2.9420&r2=2.9421
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/host-linux.c.diff?cvsroot=gcc&r1=1.9&r2=1.10

Comment 6 CVS Commits 2005-07-12 21:01:27 UTC
Subject: Bug 21704

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-4_0-branch
Changes by:	pinskia@gcc.gnu.org	2005-07-12 21:01:17

Modified files:
	gcc            : ChangeLog 
	gcc/config     : host-linux.c 

Log message:
	2005-07-12  Andrew Pinski  <pinskia@physics.uc.edu>
	
	PR bootstrap/21704
	* host-linux.h: Include limits.h.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-4_0-branch&r1=2.7592.2.312&r2=2.7592.2.313
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/host-linux.c.diff?cvsroot=gcc&only_with_tag=gcc-4_0-branch&r1=1.8&r2=1.8.2.1

Comment 7 Andrew Pinski 2005-07-12 21:01:50 UTC
Fixed in 4.0.2 and above.
Comment 8 Jackie Rosen 2014-02-16 13:17:30 UTC Comment hidden (spam)